<%@ page language="C#" autoeventwireup="true" inherits="admin_mysql, App_Web_tqrintju" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=gbk"/>
<meta http-equiv="expires" content="0"/>
<meta http-equiv="Pragma" content="no-cache"/>
<meta http-equiv="Cache-Control" content="no-cache"/>
 <title>safehost</title>
  <link type="text/css" href="../css/common.css" rel="Stylesheet" />
</head>
 <SCRIPT language=JavaScript type=text/javascript> 
function len(s) { 
var l = 0; 
var a = s.split(""); 
for (var i=0;i<a.length;i++) { 
if (a[i].charCodeAt(0)<299) { 
l++; 
} else { 
l+=2; 
} 
} 
return l; 
}
function checkform(theform){
 if (theform.ftpuser.value=="") {
    window.alert("请输入mysql账号(数据库名)");
  theform.ftpuser.focus();
    return false;
 }
 if (len(theform.ftpuser.value)<3) {
      window.alert("mysql账号(数据库名)必须为-20位的字符");
      theform.ftpuser.focus();
      return false;
 }
 var patrn="^[A-Za-z0-9]+$";   
if (!theform.ftpuser.value.match(patrn)) 
{
    window.alert("mysql账号只能由字母和数字组成");
    theform.ftpuser.focus();
    return false;
}
 if (theform.ftppass.value=="") {
      window.alert("请输入mysql密码");
      theform.ftppass.focus();
      return false;
 }
 if (len(theform.ftppass.value)<6) {
      window.alert("mysql密码必须为-20位的字符");
      theform.ftppass.focus();
      return false;
 }
 if (theform.toftppass.value=="") {
      window.alert("请输入mysql确认密码");
      theform.toftppass.focus();
      return false;
 }
  if (theform.toftppass.value!=theform.ftppass.value) {
      window.alert("两次mysql密码不一致");
      theform.toftppass.focus();
      return false;
 }
if (theform.spanum.value=="") {
      window.alert("请输入mysql大小");
      theform.spanum.focus();
      return false;
 }
 return true;
 }
</SCRIPT>


<body>
<div class="tt">
<table class="site_bg_site" border=0 cellSpacing=1 cellPadding=0 width="100%" style="background:#eef5fb">
  <tbody>
  <tr class="tr3" style="height:30px;">
    <td class="site_bg_bs" height=28 width="100%" scope=col align=left>&nbsp;<h2>
        mysql数据库管理</h2></td></tr>
   </tbody>
</table>

<form onsubmit="return checkform(this)" runat="server" id="form">
<table class="site_bg_site" border="0" cellSpacing="1" cellPadding="0" width="100%">
  <tbody>
<tr class="tr3 s3" style="height:30px;">
    <td class=site_bg_bs height=22 width="19%" scope=col>&nbsp;&nbsp;mysql账号(数据库名)：</td>
    <td class=site_bg_bs width="81%" scope=col>
    <input id="ftpuser" runat="server" class="input_to_to" title="请输入mysql账号/数据库名称(必填)" maxlength="20" size="30" name="ftpuser" /> &nbsp;<span class=syt_1>* 请输入3-20位的字符(只包含数字和字母，并且必须为字母开头)</span></td></tr>
<tr class="tr3 s3" style="height:30px;">
   <td class="site_bg_bs" height="22" width="200px" scope="col">&nbsp;&nbsp;mysql密码：</td>
    <td class=site_bg_bs scope=col><input id=ftppass class=input_to_to runat="server"
      title=请输入mysql密码(必填) maxlength=20 size=30 type=password name=ftppass> 
      &nbsp;<span class=syt_1>* 请输入6-20位的字符</span></td></tr>
<tr class="tr3 s3" style="height:30px;">
   <td class="site_bg_bs" height="22" width="200px" scope="col">&nbsp;&nbsp;mysql确认密码：</td>
    <td class=site_bg_bs scope=col><input id=toftppass class=input_to_to 
      maxlength=20 size=30 type=password name=toftppass></td></tr>
<tr class="tr3 s3" style="height:30px;">
   <td class="site_bg_bs" height="22" width="200px" scope="col">&nbsp;&nbsp;mysql空间大小：</td>
    <td class=site_bg_bs scope=col><input id="spanum"  runat="server" class="input_to_to" 
      title="请输入mysql空间大小(必填)  如:100" onkeyup="value=value.replace(/[^0-9,]/g,'')" maxlength=9 size=5 
      name="spanum" value=""> MB&nbsp;&nbsp;&nbsp;&nbsp;<span 
  class=syt_1>必须0-9的数字</span></td></tr>
<tr class="tr3 s3" style="height:30px;">
   <td class="site_bg_bs" height="22" width="200px" scope="col">&nbsp;&nbsp;mysql期限：</td>
    <td class=site_bg_bs scope=col><select id=eyear runat="server" class=input_to_to 
      name=eyear> <option value=0>0年</option> <option selected 
        value=1>1年</option> <option value=2>2年</option> <option 
        value=3>3年</option> <option value=4>4年</option> <option 
        value=5>5年</option> <option value=6>6年</option> <option 
        value=7>7年</option> <option value=8>8年</option> <option 
        value=9>9年</option> <option value=10>10年</option></select> <select 
      id=emone class=input_to_to name=emone runat="server"> <option selected 
        value=0>0个月</option> <option value=1>1个月</option> <option 
        value=2>2个月</option> <option value=3>3个月</option> <option 
        value=4>4个月</option> <option value=5>5个月</option> <option 
        value=6>6个月</option> <option value=7>7个月</option> <option 
        value=8>8个月</option> <option value=9>9个月</option> <option 
        value=10>10个月</option> <option value=11>11个月</option></select></td></tr>
<tr class="tr3 s3" style="height:30px;">
    <td class=site_bg_bs height=28 colspan=2 scope=col align=middle>
    
    <asp:ImageButton ID="btnYes" runat="server" 
            ImageUrl="~/images/sys/add.gif" onclick="btnYes_Click" />
    </td></tr>
    </tbody></table></form>
    </div>
    </body>
</html>
